Kerbal Space Program - Bug #3883

Gilly's "In space high'/"In space low" cutoff is far too low.
Description

Gilly's current cutoff is 6km above sea level, meanwhile the surface actually extends further out than this. In addition, the timewarp
cutoff is 8km. A much more reasonable value might be around 30-40km.

There is also an issue with Gilly contracts where the player is asked to perform experiments which must be done in space low such
as temperature scans, but the altitude is above the cutoff.

The issue also exists in earlier versions, possibly since Gilly was first added.
The following forum page has an example of this:

http://forum.kerbalspaceprogram.com/threads/104072-How-do-you-complete-a-contract-that-requires-a-temp-scan-of-Gilly-above-70
00m

History

#1 - 12/21/2014 11:25 AM - TruePikachu
- Status changed from New to Confirmed

- % Done changed from 0 to 10

| have already confirmed this over on the Forums ( http:/forum.kerbalspaceprogram.com/threads/101634 ).

"For Gilly, that 8km figure for invisible terrain coincides with the minimum altitude for 5x time, and Bop has 5x at 24.5km. LGO is below 6km, and LBO
is below 25km. | believe that ships which reach the 1x time limit are assumed to crash, which would suggest that it is impossible to achieve "stable"
LGO, but LBO should be possible inside the 500m window."

#2 - 07/17/2016 09:27 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#3 - 07/17/2016 12:42 PM - Anquietas
- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

The problem is the altitude cutoffs are much too low for Gilly:

In space just above 6000m: http://imgur.com/Wilrvj2

- also shows time warp limit is 8000m

In space just below 6000m: http://imgur.com/BDFAtkQ

On the surface at 6015m: http://imgur.com/I6F2wS0

- this is by no means the highest point on Gilly.

- counts as "in space high" if the craft is just above the surface rather than touching it.

To replicate this just get a similar ship to Gilly and fly around near the surface; the area in the surface screenshot is roughly in the center of the largest
section of the "Gilly's Highlands" biome: http://imgur.com/3Naxs5I
